package com.gyee.runeconomy.service.auto;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gyee.runeconomy.model.auto.ProEconPowerstationInfoDay5;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 电表发电量 服务类
 * </p>
 *
 * @author wang
 * @since 2022-11-22
 */
public interface IProEconPowerstationInfoDay5Service extends IService<ProEconPowerstationInfoDay5> {


    Map<String, ProEconPowerstationInfoDay5> getEconElectricQuantity(String foreignKeyId, String staType, String dateType, Date date);


    List<ProEconPowerstationInfoDay5> getEconZhcydldb(String foreignKeyId, String staType, String dateType, Date date);

    List<ProEconPowerstationInfoDay5> getmax(String foreignKeyId, Date date);

    List<ProEconPowerstationInfoDay5> getdrlist(String wpId);

    List<ProEconPowerstationInfoDay5> getzrlist(String wpId);
}
